# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime/Locale.pm)
# END SourceDeps(oneline)
Group: Text tools
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-1.8-compat
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define brand JBoss
%define pub_name Publican
%define RHEL6 %(test %{?dist} == .el6 && echo 1 || echo 0)

Name:		publican-jboss
Summary:	Common documentation files for %{brand}
Version:	2.6
Release:	alt3_14jpp8
License:	CC-BY-SA
# Limited to these arches on RHEL 6 due to PDF + Java limitations
%if %{RHEL6}
ExclusiveArch:   i686 x86_64
%else
BuildArch:   noarch
%endif
Source:		https://fedorahosted.org/releases/p/u/publican/%{name}-%{version}.tgz
Requires:	publican >= 2.5
BuildRequires:	publican >= 2.5
URL:		https://fedorahosted.org/publican/
Provides:	documentation-devel-%{brand} = %{version}-%{release}
Obsoletes:	documentation-devel-%{brand} < %{version}-%{release}
Source44: import.info

%description
This package provides common files and templates needed to build documentation
for %{brand} with publican.

%prep
%setup -q 

%build
publican build --formats=xml --langs=all --publish

%install
mkdir -p -m755 $RPM_BUILD_ROOT%{_datadir}/publican/Common_Content
publican install_brand --path=$RPM_BUILD_ROOT%{_datadir}/publican/Common_Content

%files
%doc README
%doc COPYING
%{_datadir}/publican/Common_Content/%{brand}

%changelog
* Tue Jun 08 2021 Igor Vlasenko <viy@altlinux.org> 2.6-alt3_14jpp8
- fixed build

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 2.6-alt2_14jpp8
- fc update

* Sun May 26 2019 Igor Vlasenko <viy@altlinux.ru> 2.6-alt2_13jpp8
- new version

* Mon Apr 16 2018 Igor Vlasenko <viy@altlinux.ru> 2.6-alt2_11jpp8
- java update

* Thu Nov 09 2017 Igor Vlasenko <viy@altlinux.ru> 2.6-alt2_10jpp8
- fc27 update

* Tue Oct 17 2017 Igor Vlasenko <viy@altlinux.ru> 2.6-alt2_9jpp8
- new jpp release

* Tue Nov 22 2016 Igor Vlasenko <viy@altlinux.ru> 2.6-alt2_8jpp8
- new fc release

* Tue Feb 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.6-alt2_6jpp8
- new version

* Tue Aug 26 2014 Igor Vlasenko <viy@altlinux.ru> 2.6-alt2_5jpp7
- new release

* Tue Nov 05 2013 Igor Vlasenko <viy@altlinux.ru> 2.6-alt2_3jpp7
- NMU: added missing Pod dependencies

* Thu Feb 07 2013 Igor Vlasenko <viy@altlinux.ru> 2.6-alt1_3jpp7
- initial build

